#pragma once
#include "afxwin.h"
#include "NMImgComboBox.h"
#include "NMImgButton.h"
#include "afxdtctl.h"
#include "SkinDialog.h"
#include "SendMemoButtons.h"

#define DEF_RSV_DLG_SIZE_CX		320
#define DEF_RSV_DLG_SIZE_CY		330
#define SMS_RSV_CONTROL_BORDER_COLOR RGB(199,202,205)
#define SMS_RSV_BORDER_PIXEL		1
#define SMS_RSV_TITLE_TEXT_COLOR	RGB(102,102,102)   //22222222
#define SMS_RSV_VALUE_TEXT_COLOR	RGB(102,102,123)
#define SMS_RSV_TEXT_COLOR			RGB(136,136,136) //88888888
#define SMS_RSV_BG_COLOR			RGB(255,255,255)


class CRsvDlg : public CSkinDialog, private IOKCancelButtonsCallBack
{
	DECLARE_DYNAMIC(CRsvDlg)

public:
	CRsvDlg(CWnd* pParent = NULL);   // ǥ Դϴ.
	virtual ~CRsvDlg();

// ȭ  Դϴ.
	enum { IDD = IDD_RSV_DIALOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV Դϴ.

	DECLARE_MESSAGE_MAP()
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);

public:
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnPaint();
	afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg LRESULT OnNcHitTest(CPoint point);
	afx_msg void	OnSize(UINT nType, int cx, int cy);	
	afx_msg void OnWindowPosChanging(LPWINDOWPOS lpWndPos);
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	 void OnNcLButtonDblClk( UINT nHitTest, CPoint point );
	virtual void OnButtonClicked(COKCancelButtons::BUTTONS button);
	void __ResourceLoad(BOOL bInit = FALSE);
	CString m_strRsvTime;// ð.
	CString m_strTimeZone;

private:
	void SetComboCurrentTime();
	void InitSkin();
	void FlashCaption();
	const CString GetReservationTimeString();
	BOOL GetReservationTime(CString &strTime, CString &strTimeZone); 
	void ResizeControl();
	void OnBnClickedConfirmButton();
	void OnBnClickedCancelButton();
	CNMImgComboBox m_cmbGMT;
	CNMImgComboBox m_cmbTime;
	CNMImgComboBox m_cmbMin;
	CDateTimeCtrl m_ctrlCal;

	int m_nFlashTimes;

	COKCancelButtons *m_pOKCancelButtons;
	CRect m_rcGMTTitleText;
	CRect m_rcRsvTimeTitleText;
	CRect m_rcGMTControl;
	CRect m_rcMonthControl;
	CRect m_rcHourControl;
	CRect m_rcMinControl;
	CRect m_rcRsvText;

	CRect m_rcSendButton;
	CRect m_rcCancelButton;
	BOOL m_bInitSucess;
	CTime m_timeReservation;

	//HWND m_hWndDateTimePickerEidt;
	
};
